Page MenuHomePhabricator

Deploy InternetArchiveBot on the Bengali Wikipedia (bnwiki)
Closed, ResolvedPublic

Description

Deploy InternetArchiveBot on the Bengali Wikipedia (bnwiki).

community discussion (from 3rd of July 2017 to 12th July).

Event Timeline

I'm going to need a link to the discussion about deploying this bot.

@Cyberpower678, it would be great, if you please share your message to the community in the bn.wp village pump, or shall I convey your message?

@Cyberpower678, it would be great, if you please share your message to the community in the bn.wp village pump, or shall I convey your message?

If you could do that for me, that would be awesome.

Bodhisattwa added a comment.EditedJul 3 2017, 2:37 PM

@Cyberpower678, I have conveyed your message. You can find the community discussion here.

Bodhisattwa updated the task description. (Show Details)Jul 3 2017, 2:37 PM
NahidSultan triaged this task as Normal priority.Jul 3 2017, 2:46 PM
NahidSultan updated the task description. (Show Details)
Aftabuzzaman updated the task description. (Show Details)Jul 3 2017, 4:07 PM
Aftabuzzaman updated the task description. (Show Details)Jul 27 2017, 6:02 PM
Cyberpower678 raised the priority of this task from Normal to High.Sep 29 2017, 5:20 PM

Deployment has been delayed in favor of development of InternetArchiveBot v2.0 which will be using a new global engine to support wikis more easily.

@Bodhisattwa Thanks for your patience. Do you think you could gather a couple of translators so we can get IABot prepped for approval? We need to configure the bot's setup for this wiki.

I need the bot approvals page to get the approvals process going.

With that being said can you answer the following questions and translate the following statements?

To translate:

  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.
  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.
  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})
  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.
  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.
  • {link} is found to be dead. No archive was found.
  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.
  • Added archive {newarchive} to {link}
  • Replaced archive link {oldarchive} with {newarchive} on {link}
  • Corrected formatting/usage for {link}
  • Added {{tlx|dead link}} tag to {link}
  • Removed dead tag from {link}
  • Modified source for {link}
  • {problem} with error {error}
  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.
  • Notification of errors encountered when attempting to archive links
  • Notification of altered sources needing review

Questions:

  1. Do you want talk page messages?
  2. Do you use dead link templates and archive templates?
  3. Where are your cite templates?
  4. What is the typical formatting you use for time on Wikipedia and what other formats do you use, even the least popular ones?
Restricted Application added a subscriber: Cirdan. · View Herald TranscriptJun 6 2018, 6:03 PM
Aftabuzzaman added a comment.EditedJun 6 2018, 10:09 PM

@Cyberpower678 I'm leaving translation part for @Bodhisattwa or i will do it later when i have time.

Here is answers for your questions:

  1. Since bnwiki doen't have so many active user like enwiki, i think it will not have any benefit for bnwiki. so, my answer is no.
  2. Yes. অকার্যকর সংযোগ (dead link) and ওয়েব আর্কাইভ (web archive)
  3. Here. (All of those template have a redirect from english name, bot should recognize both bengali or english name. Also all of those template support Bengali & english (same as enwiki) parameter. however if you add english parameter, citation module will add this hidden category to convert en parameter to bn. so, bot should use bengali parameter. Do you want me to translate this?)
  4. Most preferred format is DD MM YYYY (e.g. ১ জুলাই ২০১৮ (1 July 2018)). Other formats are MM DD, YYYY , YYYY-MM-DD (note: we use Bengali digit. so, along with month name digit should be in Bengali. you will need to add something like this.)
Aftabuzzaman added a comment.EditedJun 7 2018, 10:59 PM
  • External links modified ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

বহিঃসংযোগ সম্পাদিত হয়েছে ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

  • Hello fellow editors,\n\nI have just modified {linksrescued} external links on [[{namespacepage}]]. Please take a moment to review [{diff} my edit]. If you have any questions, or need the bot to ignore the links, or the page altogether, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information. I made the following changes:\n{modifiedlinks}\nPlease refer to the FaQ for information on correcting errors with the bot.\n\nCheers.

প্রিয় সম্পাদকবৃন্দ,\n\nআমি এইমাত্র [[{namespacepage}]] পাতায় {linksrescued}টি বহিঃসংযোগ সম্পাদনা করেছি। দয়া করে [{diff} আমার সম্পাদনা] পর্যালোচনা করুন। যদি আপনার কোন প্রশ্ন থাকে, বা যদি মনে করেন বটের উচিত সংযোগগুলি বা সম্পূর্ণ পাতা উভয় উপেক্ষা করা, তবে দয়া করে অতিরিক্ত তথ্যের জন্য [[:m:InternetArchiveBot/FAQ|এই সহজ প্রাজিপ্র]] দেখুন। আমি নিম্নলিখিত পরিবর্তনগুলি করেছি:\n{modifiedlinks}\nবটের করা ত্রুটিগুলি কীভাবে সংশোধন করবেন সেই তথ্যের জন্য প্রাজিপ্র দেখুন।\n\nঅশেষ ধন্যবাদ।

  • External links found that need fixing ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

ঠিক করা প্রয়োজন এমন বহিঃসংযোগ পাওয়া গেছে ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

  • Hello fellow editors,\n\nI have found one or more external links on [[{namespacepage}]] that are in need of attention. Please take a moment to review the links I found and correct them on the article if necessary. I found the following problems:\n{modifiedlinks}\nWhen you have finished making the appropriate changes, please visit [[:m:InternetArchiveBot/FAQ|this simple FaQ]] for additional information to fix any issues with the URLs mentioned above.\n\nThis notice will only be made once for these URLs.\n\nCheers.

প্রিয় সম্পাদকবৃন্দ,\n\nআমি [[{namespacepage}]] পাতায় এক বা একাধিক বহিঃসংযোগ পেয়েছি যাতে মনযোগ দেয়া প্রয়োজন। দয়া করে আমার পাওয়া সংযোগগুলি পর্যালোচনা করুন ও প্রয়োজন হলে নিবন্ধে তাদের ঠিক করুন। আমি নিম্নলিখিত সমস্যা খুঁজে পেয়েছি:\n{modifiedlinks}\nযথোপযুক্ত পরিবর্তনগুলি সম্পন্ন করার পর, উপরোক্ত উল্লিখিত URL গুলির সাথে কোন সমস্যা হলে তা কীভাবে সমাধান করবেন তা জানতে [[:m:InternetArchiveBot/FAQ|এই সহজ প্রাজিপ্র]] দেখুন।\n\nএই বিজ্ঞপ্তি শুধুমাত্র একবারই এই URLগুলির জন্য দেয়া হল।\n\nঅশেষ ধন্যবাদ।

  • Trouble archiving links on the article ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

নিবন্ধের সংযোগগুলি আর্কাইভকরণে সমস্যা ({{subst:CURRENTMONTHNAME}} {{subst:CURRENTYEAR}})

  • Hello. During the archive process, the archive returned errors for one or more sites that I submitted for archiving.\nBelow, I have included the links that returned with an error and the following error message.\n\n{problematiclinks}\nIn any event this will be the only notification in regards to these links, and no further attempt will be made to archive the links.\n\nCheers.

হ্যালো। আর্কাইভ প্রক্রিয়ার সময়, আর্কাইভ করার জন্য জমা দেয়া এক বা একাধিক সাইটের ক্ষেত্রে ত্রুটি হয়েছে।\nনিচে, যেগুলিতে ত্রুটি হয়েছিল ও যে ত্রুটি বার্তা দিয়েছিল তা দেয়া হল।\n\n{problematiclinks}\nযে কোন ক্ষেত্রে এটিই এই সংযোগগুলির জন্য একমাত্র বিজ্ঞপ্তি, ও এই সংযোগগুলি আর্কাইভ করার জন্য আর কোন চেষ্টা করা হবে না।\n\nঅশেষ ধন্যবাদ।

  • {link} is found to be dead. Recommend adding {newarchive} to the original URL.

{link} অকার্যকর হিসেবে পাওয়া গেছে। আসল URLতে {newarchive} যোগ করার সুপারিশ করা হচ্ছে।

  • {link} is found to be dead. No archive was found.

{link} অকার্যকর হিসেবে পাওয়া গেছে। কোন আর্কাইভ পাওয়া যায়নি।

  • {link} is considered to be dead, however has been found to be alive. Recommend removing the dead flag from the URL.

{link} অকার্যকর হিসেবে বিবেচনা করা হলেও তা কার্যকর হিসেবে পাওয়া গেছে। URL থেকে অকার্যকর ট্যাগ সরানোর সুপারিশ করা হচ্ছে।

  • Added archive {newarchive} to {link}

{link} এ আর্কাইভ {newarchive} যোগ করা হল

  • Replaced archive link {oldarchive} with {newarchive} on {link}

{link} এ আর্কাইভ সংযোগ {oldarchive} কে {newarchive} দ্বারা প্রতিস্থাপন করা হল

  • Corrected formatting/usage for {link}

{link} এর জন্য বিন্যাসন/ব্যবহার ঠিক করা হল

  • Added {{tlx|dead link}} tag to {link}

{link} এ {{tlx|অকার্যকর সংযোগ}} ট্যাগ যোগ করা হল

  • Removed dead tag from {link}

{link} থেকে অকার্যকর ট্যাগ সরানো হল

  • Modified source for {link}

{link} এর উৎস পরিবর্তিত হল

  • {problem} with error {error}

{error} ত্রুটিসহ {problem}

  • Rescuing {linksrescued} sources and tagging {linkstagged} as dead.

{linksrescued}টি উৎস উদ্ধার করা হল ও {linkstagged}টি অকার্যকর হিসেবে চিহ্নিত করা হল।

  • Notification of errors encountered when attempting to archive links

সংযোগগুলি আর্কাইভ করার চেষ্টা করার সময় ত্রুটির সম্মুখীন হবার বিজ্ঞপ্তি

  • Notification of altered sources needing review

পরিবর্তিত উত্স যা পর্যালোচনা করা প্রয়োজন তার বিজ্ঞপ্তি

Bodhisattwa added a comment.EditedJun 8 2018, 3:55 AM

Sorry for the late reply. Thanks @Aftabuzzaman for the translations and the answers. Everything is ok, just a small change in the last line of translation

Notification of altered sources needing review

পরিবর্তিত উত্স যা পর্যালোচনা করা প্রয়োজন তার বিজ্ঞপ্তি

পর্যালোচনাযোগ্য পরিবর্তিত উৎসের বিজ্ঞপ্তি

Aftabuzzaman updated the task description. (Show Details)Aug 23 2018, 6:28 PM

Bot is approved.

Waiting for beta10

Cyberpower678 closed this task as Resolved.Nov 25 2018, 8:22 PM